# Password Reset

- [1. Reset Trader's Password](https://api-documentation.autoshares.dev/rest-api/trading-api/password-reset/1.-reset-traders-password.md): Reset a trader's password
- [2. Retrieve the Secret Question](https://api-documentation.autoshares.dev/rest-api/trading-api/password-reset/2.-retrieve-the-secret-question.md): Retrieve the secret question for which the user must provide the answer in order to reset the password
- [3. Generate a Token For a New Password](https://api-documentation.autoshares.dev/rest-api/trading-api/password-reset/2.-generate-a-token-for-a-new-password.md): Generate a token using the conformation code from email
- [4. Update the Password](https://api-documentation.autoshares.dev/rest-api/trading-api/password-reset/3.-update-the-password.md): Provide the trader's new password


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-documentation.autoshares.dev/rest-api/trading-api/password-reset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
